--Old Solution. SQL 2000 tuned for this.  Not later versions like 2005 or 2008

--USE AdventureWorks2008;

SET STATISTICS IO ON;

SELECT SOH.CustomerID
	,SOH.OrderDate
	,SOH.Status
	,SOH.SalesOrderID
	FROM Sales.SalesOrderHeader SOH
	INNER JOIN 
		(SELECT CustomerID, MAX (OrderDate) AS ODate
		FROM Sales.SalesOrderHeader
		GROUP BY CustomerID) MaxOrdList
	ON MaxOrdList.ODate = SOH.OrderDate
	AND MaxOrdList.CustomerID = SOH.CustomerID
WHERE SOH.CustomerID IN (11276, 11201);


--New Solution.  Constant cost regardless of data set size


WITH LatestOrder AS 
(SELECT 
	SalesOrderID, RevisionNumber, OrderDate, DueDate, ShipDate, Status, OnlineOrderFlag, SalesOrderNumber, PurchaseOrderNumber, 
	AccountNumber, CustomerID, SalesPersonID, TerritoryID, BillToAddressID, ShipToAddressID, ShipMethodID, CreditCardID, 
	CreditCardApprovalCode, CurrencyRateID, SubTotal, TaxAmt, Freight, TotalDue, Comment, rowguid, ModifiedDate
	,ROW_NUMBER() OVER (PARTITION BY CustomerID ORDER BY OrderDate DESC )RowNum
	FROM Sales.SalesOrderHeader	)
SELECT CustomerID
	,OrderDate
	,Status
	,SalesOrderID
	--, *
	 FROM LatestOrder
WHERE CustomerID IN (11276, 11201)
AND RowNum = 1;