/* Flushes all dirty pages from the buffer to disk */

CHECKPOINT;

/* Flush the data cache and procedure cache, respectively. */

DBCC DROPCLEANBUFFERS;

DBCC FREEPROCCACHE;

/* Enable statistics tracking for IO and timings. Remember, SET commands remain enabled 
   during a session until disabled. */

/*
SET STATISTICS IO ON;

SET STATISTICS TIME ON;

SET STATISTICS IO OFF;

SET STATISTICS TIME OFF;
*/

/* Textual Execution Plans, if desired.
SET SHOWPLAN_TEXT ON;

SET SHOWPLAN_TEXT OFF;
*/

SET STATISTICS IO ON;

SET STATISTICS TIME ON;

-- Three versions.  NOT IN, NOT EXISTS, LEFT JOIN

SELECT *
FROM   Person.Person PP
WHERE  PP.BusinessEntityID NOT IN 
    (SELECT PH.BusinessEntityID
     FROM   Person.PersonPhone PH
     WHERE  PH.BusinessEntityID = PP.BusinessEntityID 
      AND PH.PhoneNumber LIKE '404%') 
  AND PP.LastName = 'Brooks';
			
			
SELECT *
FROM   Person.Person PP
WHERE  NOT EXISTS
         (SELECT PH.PhoneNumber
          FROM   Person.PersonPhone PH
          WHERE  PH.BusinessEntityID = PP.BusinessEntityID 
            AND PH.PhoneNumber LIKE '404%') 
      AND PP.LastName = 'Brooks';
		
		
SELECT *
FROM   Person.Person PP 
  LEFT JOIN Person.PersonPhone PH 
    ON PH.BusinessEntityID = PP.BusinessEntityID 
    AND PH.PhoneNumber LIKE '404%'
WHERE  PH.BusinessEntityID IS NULL 
  AND PP.LastName = 'Brooks';
 
 