--USE AdventureWorks2008;

--EXEC BadCustomerLookup NULL, 1405

CREATE PROC BadCustomerLookup (@CustomerID INT = NULL, @PersonID INT = NULL)
AS
SELECT * 
	FROM Sales.Customer CU
	INNER JOIN Sales.SalesOrderHeader SH
		ON SH.CustomerID = CU.CustomerID
	INNER JOIN Sales.SalesOrderDetail SD
		ON SD.SalesOrderID = SH.SalesOrderID
	WHERE (CU.CustomerID = @CustomerID OR @CustomerID IS NULL )
		AND (CU.PersonID = @PersonID OR @PersonID IS NULL);
		
/* Notes
Several options.

Use a "switcher" function that calls procedures without optional parameters.

Use Dynamic SQL

Use Search to search.  Optional parameter queries are often the implementation of a search.

DROP PROC BadCustomerLookup;

*/

USE AdventureWorks2008
go
dbcc freeproccache
go
Set Statistics IO ON

EXEC BadCustomerLookup 

EXEC BadCustomerLookup NULL, 1405
EXEC BadCustomerLookup 29734, NULL
EXEC BadCustomerLookup 29734, 1405


--Exact same effort despite indexes
