SET STATISTICS IO ON
--show actual execution plan
GO

--NOTE: this query is actually covered by a tight NC index on ProductKey!!
SELECT d.CalendarYear,
      d.CalendarQuarter,
      COUNT(*) AS NumberSold
  FROM dbo.FactResellerSalesPart AS f
      JOIN dbo.DimDate AS d
      ON f.OrderDateKey = d.DateKey
  GROUP BY d.CalendarYear, d.CalendarQuarter
  ORDER BY d.CalendarYear, d.CalendarQuarter
OPTION (IGNORE_NONCLUSTERED_COLUMNSTORE_INDEX)
276000 reads, 7 SECONDS hot cache

SELECT d.CalendarYear,
      d.CalendarQuarter,
      COUNT(*) AS NumberSold
  FROM dbo.FactResellerSalesPart AS f
      JOIN dbo.DimDate AS d
      ON f.OrderDateKey = d.DateKey
  GROUP BY d.CalendarYear, d.CalendarQuarter
  ORDER BY d.CalendarYear, d.CalendarQuarter
OPTION (MAXDOP 4, IGNORE_NONCLUSTERED_COLUMNSTORE_INDEX)
9 SECONDS

SELECT d.CalendarYear,
      d.CalendarQuarter,
      COUNT(*) AS NumberSold
  FROM dbo.FactResellerSalesPart AS f
      JOIN dbo.DimDate AS d
      ON f.OrderDateKey = d.DateKey
  GROUP BY d.CalendarYear, d.CalendarQuarter
  ORDER BY d.CalendarYear, d.CalendarQuarter
OPTION (MAXDOP 1, IGNORE_NONCLUSTERED_COLUMNSTORE_INDEX)
VERY different PLAN, 21 seconds

SELECT d.CalendarYear,
      d.CalendarQuarter,
      COUNT(*) AS NumberSold
  FROM dbo.FactResellerSalesPart AS f
      JOIN dbo.DimDate AS d
      ON f.OrderDateKey = d.DateKey
  GROUP BY d.CalendarYear, d.CalendarQuarter
  ORDER BY d.CalendarYear, d.CalendarQuarter
OPTION (MAXDOP 1)
uses COLUMN store INDEX, but NO PARALLELISM means NO BATCH MODE PROCESSING!!
17 SECONDS hot cache

SELECT d.CalendarYear,
      d.CalendarQuarter,
      COUNT(*) AS NumberSold
  FROM dbo.FactResellerSalesPart AS f
      JOIN dbo.DimDate AS d
      ON f.OrderDateKey = d.DateKey
  GROUP BY d.CalendarYear, d.CalendarQuarter
  ORDER BY d.CalendarYear, d.CalendarQuarter
OPTION (MAXDOP 2) --should be twice as fast, right?!?
