DECLARE @EmployeeID			INT;
DECLARE @ManagerID			INT;
DECLARE @LoginID			NVARCHAR(256);
DECLARE @Title				NVARCHAR(50);
DECLARE	@HireDate			DATETIME;
DECLARE @CurrentFlag		BIT;
DECLARE	@NationalIDNumber	NVARCHAR(15);
DECLARE @BirthDate			DATETIME;
DECLARE @MaritalStatus		NCHAR(1);
DECLARE @Gender				NCHAR(1);

SET NOCOUNT ON;

DECLARE tempC CURSOR LOCAL READ_ONLY FOR
	SELECT 
		--Login
		EmployeeID
		,ManagerID
		,LoginID
		,Title
		,HireDate
		,CurrentFlag
		--Personal info
		,NationalIDNumber
		,BirthDate
		,MaritalStatus
		,Gender
	FROM HumanResources.Employee
OPEN tempC
FETCH NEXT FROM tempC INTO @EmployeeID, @ManagerID, @LoginID, @Title, @HireDate, @CurrentFlag, @NationalIDNumber, @BirthDate, @MaritalStatus, @Gender
WHILE @@FETCH_STATUS = 0
BEGIN
	--Call uspGetEmployeeManagers for the EmployeeID
	EXECUTE dbo.uspGetEmployeeManagers @EmployeeID;
	
	--Call uspGetManagerEmployees for the ManagerID
	EXECUTE dbo.uspGetManagerEmployees @ManagerID;
	
	--Call uspUpdateEmployeeLogin for the employee
	EXECUTE HumanResources.uspUpdateEmployeeLogin @EmployeeID, @ManagerID, @LoginID, @Title, @HireDate, @CurrentFlag;
	
	--Call uspUpdateEmployeePersonalInfo for the employee
	EXECUTE HumanResources.uspUpdateEmployeePersonalInfo @EmployeeID, @NationalIDNumber, @BirthDate, @MaritalStatus, @Gender;
	
FETCH NEXT FROM tempC INTO @EmployeeID, @ManagerID, @LoginID, @Title, @HireDate, @CurrentFlag, @NationalIDNumber, @BirthDate, @MaritalStatus, @Gender
END
CLOSE tempC
DEALLOCATE tempC;