/*
Execution Related DMV
Server Scope
Returns a row for each query plan that is cached by SQL Server for faster query execution
*/

SELECT cp.usecounts
	,OBJECT_SCHEMA_NAME(objectid) AS schemaName
	,OBJECT_NAME(objectid) AS objectName
	,cacheobjtype 
	,objtype
	,[text] AS queryText
FROM sys.dm_exec_cached_plans AS cp
	CROSS APPLY sys.dm_exec_sql_text (cp.plan_handle) AS t	--only constant while the plan is in the cache
WHERE cp.usecounts > 1
ORDER BY cp.usecounts DESC;