--  Show tables with Foreign Keys where any column of that foreign key does not have an index on it.

SELECT
  RC.Constraint_Name AS FK_Constraint
-- ,RC.Constraint_Catalog AS FK_Database
-- ,RC.Constraint_Schema AS FK_Schema
 ,CCU.Table_Name AS FK_Table
 ,CCU.Column_Name AS FK_Column
FROM
  information_schema.referential_constraints AS rc
  JOIN information_schema.constraint_column_usage AS ccu
    ON rc.constraint_name = ccu.constraint_name
  JOIN information_schema.constraint_column_usage AS ccu2
    ON rc.unique_constraint_name = ccu2.constraint_name
  LEFT JOIN sys.columns AS c
    ON ccu.column_name = c.name AND
       ccu.table_name = OBJECT_NAME(C.object_id)
  LEFT JOIN sys.index_columns AS ic
    ON c.object_id = ic.object_id AND
       c.column_id = ic.column_id
  LEFT JOIN sys.indexes AS i
    ON ic.object_id = i.object_id AND
       ic.index_Id = i.index_Id
WHERE i.name IS NULL
ORDER BY rc.Constraint_NAME;


SELECT  fk.name, s.name, o.name
FROM    sys.foreign_keys AS fk
JOIN    sys.objects AS o
ON      o.object_id = fk.parent_object_id
JOIN    sys.schemas AS s
ON      s.schema_id = o.schema_id
WHERE   EXISTS
        (
        SELECT  *
        FROM    sys.index_columns ic
        WHERE   EXISTS
                (
                SELECT  NULL
                FROM    sys.foreign_key_columns fkc
                WHERE   fkc.constraint_object_id = fk.object_id
                        AND fkc.parent_object_id = ic.object_id
                        AND fkc.parent_column_id = ic.column_id
                )
        GROUP BY
                index_id
        HAVING  COUNT(*) = MAX(index_column_id)
                AND COUNT(*) =
                (
                SELECT  COUNT(*)
                FROM    sys.foreign_key_columns fkc
                WHERE   fkc.constraint_object_id = fk.object_id
                )
        )