SELECT * FROM HumanResources.JobCandidate WHERE CAST([Resume] AS NVARCHAR(MAX)) LIKE '%Sunkammurali%';

DBCC TRACEON (3604)
/*Get the list of pages for the table*/
DBCC IND ('AdventureWorks2014', 'HumanResources.JobCandidate', 1)


/*Lets look at this row to see what we see*/
SELECT * FROM HumanResources.JobCandidate WHERE JobCandidateID = 3


/*Lets manually find his row in the database the same way that SQL Server would.
First we need to look at the root page to see what page JobCandidateID 3 is in*/
DBCC PAGE (AdventureWorks2014, 1, 689, 3)

/*Next lets look at his data on the data page.
Looking at the output from DBCC PAGE we can see that his row in on page 688.
We know this by looking at the "JobCandidateID (key)" column in the outut.

*/
DBCC PAGE (AdventureWorks2014, 1, 688, 3)

/*
We can see on lines 623-626 which database pages contain the blob data, 
and that the blob data  can be found on pages 4680 and 4681.
*/

/*Looking at a BLOB Page, we can see that this data does indeed belong to "Sunkammurali"*/
DBCC PAGE (AdventureWorks2014, 1, 4680, 3)


/*Lets now look at some blob data which fits inline.  The blob data starts on line 398 of the output*/
DBCC PAGE (AdventureWorks2008R2, 1, 808, 3)
