-- UMSstats  SQL thread management (*)
dbcc sqlperf (UMSStats);

-- WaitStats  resources, wait types (*)
dbcc sqlperf (WaitStats);

-- IOStats  outstanding reads & writes (*)
dbcc sqlperf (IOStats);

-- RAStats  read ahead activity (*)
dbcc sqlperf (RAStats);

-- Threads  I/O / CPU / memory usage per thread
dbcc sqlperf (Threads);

-- Spinlockstats  statistics on spinlocks (*)
dbcc sqlperf (Spinlockstats);

-- Logspace  amount of free space in the T-LOG
dbcc sqlperf (Logspace);

-- NetStats  ODS statistics, only returns zeros! (*)
dbcc sqlperf (NetStats);

-- file statistics of CURRENT database context!
dbcc showfilestats(1);

-- Lists objects in real memory
-- Q271624 - INF: Using DBCC MEMORYSTATUS to Monitor SQL Server Memory Usage
-- requires -T3654 startup parameter
-- dbcc memobjlist

-- Shows a snapshot of the current memory utilization
dbcc memorystatus;

-- Total proc objects
dbcc proccache;

-- Breakdown of proc cache: hit rates, compiled objects, compiled plans & execution contexts
-- dbcc cachestats 

-- Clear out cache, cold cache without recycle
dbcc dropcleanbuffers;

-- Clear out proc cache plans
dbcc freeproccache;

-- cursor statistics
dbcc cursorstats;

-- lock stall time
dbcc traceon (3605, 3604, -1);
dbcc lock(StallReportThreshold, 200);