use tempdb
go
SELECT 1/0
GO

SELECT 1/0
SELECT 1/0
SELECT 1/0
PRINT 'Enough!'
GO

--------------------------------------------------------------------------------------
BEGIN TRY 	
	SELECT 1/0
	SELECT 1/0
	SELECT 1/0
	PRINT 'Enough!'
END TRY
BEGIN CATCH
   SELECT
        ERROR_NUMBER() AS ErrorNumber,
        ERROR_SEVERITY() AS ErrorSeverity,
        ERROR_STATE() AS ErrorState,
        LEFT(ERROR_PROCEDURE(), 20) AS ErrorProcedure,
        ERROR_LINE() AS ErrorLine,
        ERROR_MESSAGE() AS ErrorMessage
END CATCH
GO

----------------------------------------------------------------------------------------
-- Switch to text results
IF  EXISTS (SELECT * FROM sys.objects 
			WHERE object_id = OBJECT_ID(N'[dbo].[MakeAnError]') 
			AND type in (N'P', N'PC'))
	DROP PROCEDURE [dbo].[MakeAnError]
GO
CREATE PROCEDURE MakeAnError
	@HandleError bit = 0
AS
	Print 'In the Sproc'
	IF @HandleError = 1
	  BEGIN

		BEGIN TRY
			SELECT 1/0
		END TRY
		BEGIN CATCH
			PRINT 'I caught an error!'
		END CATCH

	  END
	ELSE
	  BEGIN
		SELECT 1/0
	  END
GO
-----------------------------------------------------------------------------------------
BEGIN TRY
	EXEC MakeAnError 0  -- 0
END TRY
BEGIN CATCH
   SELECT
        ERROR_NUMBER() AS ErrorNumber,
        ERROR_SEVERITY() AS ErrorSeverity,
        ERROR_STATE() AS ErrorState,
        LEFT(ERROR_PROCEDURE(), 20) AS ErrorProcedure,
        ERROR_LINE() AS ErrorLine,
        ERROR_MESSAGE() AS ErrorMessage
END CATCH
GO

----------------------------------------------------------------------------------------
IF  EXISTS (SELECT * FROM sys.objects 
			WHERE object_id = OBJECT_ID(N'[dbo].MakeAnErrorNested') 
			AND type in (N'P', N'PC'))
	DROP PROCEDURE [dbo].MakeAnErrorNested
GO
CREATE PROCEDURE MakeAnErrorNested
AS
	Print 'In the Outer Sproc'
	EXEC MakeAnError 0
GO

-------------------------------------------------------------------------------------------
BEGIN TRY
	EXEC MakeAnErrorNested
END TRY
BEGIN CATCH
   SELECT
        ERROR_NUMBER() AS ErrorNumber,
        ERROR_SEVERITY() AS ErrorSeverity,
        ERROR_STATE() AS ErrorState,
        LEFT(ERROR_PROCEDURE(), 20) AS ErrorProcedure,
        ERROR_LINE() AS ErrorLine,
        ERROR_MESSAGE() AS ErrorMessage
END CATCH
GO
