-- [Inner] Join
SELECT p.Name, s.Name
FROM Production.Product p
JOIN
Production.ProductSubcategory s
ON p.ProductSubcategoryID = s.ProductSubcategoryID;

-- Outer Join
SELECT p.Name, s.Name
FROM Production.Product p
	LEFT JOIN Production.ProductSubcategory s
		ON p.ProductSubcategoryID = s.ProductSubcategoryID;

SELECT p.Name, s.Name
FROM Production.Product p
	RIGHT  JOIN Production.ProductSubcategory s
		ON p.ProductSubcategoryID = s.ProductSubcategoryID;

-- Cross Join
SELECT p.BusinessEntityID, t.TerritoryID, SUM(s.TotalDue) AS TotalSales
FROM Sales.SalesPerson p
	CROSS JOIN Sales.SalesTerritory t
	LEFT JOIN Sales.SalesOrderHeader s
		ON p.BusinessEntityID = s.SalesPersonID
			AND t.TerritoryID = s.TerritoryID
GROUP BY p.BusinessEntityID, t.TerritoryID;

-- Full Join
SELECT p.*, s.Name as SubcatName
FROM Production.Product p
	FULL JOIN Production.ProductSubcategory s
		ON p.ProductSubcategoryID = s.ProductSubcategoryID;