/* All demos by Grant Fritchey, http://www.scarydba.com/ */
/* Demo 1 - Basic Execution Plan, using alternate RIGHT or LEFT outer join. Identical plans with the same query hash: 0x857588F9A4394676 */
SELECT  *
FROM    Sales.SalesOrderHeader AS soh
LEFT JOIN Sales.SalesOrderDetail AS sod
        ON sod.SalesOrderID = soh.SalesOrderID;

SELECT  *
FROM    Sales.SalesOrderDetail AS sod
RIGHT JOIN Sales.SalesOrderHeader AS soh
        ON soh.SalesOrderID = sod.SalesOrderID;

/* Demo 2 - Stored Execution Plans */
SELECT [cp].[refcounts]
   ,[cp].[usecounts]
   ,[cp].[objtype]
   ,[st].[dbid]
   ,[st].[objectid]
   ,[st].[text]
   ,[qp].[query_plan]
FROM sys.dm_exec_cached_plans cp
CROSS APPLY sys.dm_exec_sql_text(cp.plan_handle) st
CROSS APPLY sys.dm_exec_query_plan(cp.plan_handle)
qp;

/* Demo 3 - Rebind and Rewind */
/* Query by Grant Fritchey -  bit.ly/P7EUv3 */
SELECT  sod.SalesOrderDetailID 
FROM    Sales.SalesOrderDetail AS sod 
WHERE   LineTotal < (SELECT AVG(dos.LineTotal) 
                     FROM   Sales.SalesOrderDetail AS dos 
                     WHERE  dos.ModifiedDate < sod.ModifiedDate 
                    ) 
