
-- See my blog post for more information:
-- http://sqlblog.com/blogs/kalen_delaney/archive/2011/03/15/what-gets-logged-for-select-into.aspx

ALTER DATABASE AdventureWorks SET RECOVERY FULL
GO
USE AdventureWorks;
GO
IF EXISTS (SELECT 1 FROM sys.tables     
            WHERE name = 'Details')
       DROP TABLE Details;
       
IF EXISTS (SELECT 1 FROM sys.tables WHERE name = 'SELECTINTOLoggingData')
    DROP TABLE SELECTINTOLoggingData;
GO

CREATE TABLE SELECTINTOLoggingData
(DBRecModel CHAR(12), MaxLogRowSize INT, SumLogSize BIGINT, NumLogRows INT, NumLargeRows INT);
GO
----  FULL Recovery
BACKUP DATABASE AdventureWorks TO DISK = 'c:\backups\AW.bak' WITH INIT;
GO
BACKUP LOG AdventureWorks TO DISK = 'c:\backups\AW_log.bak' WITH INIT;
GO

SELECT COUNT(*) FROM fn_dblog(null, null);
GO
SELECT * INTO Details
FROM Sales.SalesOrderDetail;
GO


INSERT INTO SELECTINTOLoggingData
SELECT 'FULL', 
        MAX([Log Record Length]),
        SUM([Log Record Length]),
        COUNT(*),
        (SELECT COUNT(*) FROM fn_dblog(null, null) WHERE [Log Record Length]  >1000)
        FROM fn_dblog(null, null);
GO
--SELECT * FROM SELECTINTOLoggingData;
GO
 
 
DROP TABLE Details;
GO
-- BL Recovery
ALTER DATABASE AdventureWorks SET RECOVERY BULK_LOGGED;
BACKUP LOG AdventureWorks TO DISK = 'c:\backups\AW_log.bak' WITH INIT;
SELECT COUNT(*)  FROM fn_dblog(null, null);
GO

SELECT * INTO Details
FROM Sales.SalesOrderDetail;
GO


INSERT INTO SELECTINTOLoggingData
SELECT 'BULK_LOGGED',
        MAX([Log Record Length]),
        SUM ([Log Record Length]),
        COUNT(*),
        (SELECT COUNT(*) FROM fn_dblog(null, null) WHERE [Log Record Length]  >1000)
        FROM fn_dblog(null, null);
GO
SELECT * FROM SELECTINTOLoggingData;
GO
