-- Virtual file stats for SQL2005 and SQL2008
-- Currently shows database files.  Change WHERE clause for log files.
SELECT                             -- virtual file latency
  DB_NAME(vfs.database_id) AS DB,  --, mf.name AS FileName
  mf.physical_name AS "File and Path",
   vReadLatency = CASE 
      WHEN num_of_reads = 0 
      THEN 0 ELSE (io_stall_read_ms / num_of_reads) 
      END,
   vWriteLatency = CASE 
      WHEN io_stall_write_ms = 0 
      THEN 0 
      ELSE (io_stall_write_ms / num_of_writes) 
      END,
   vLatency = CASE 
      WHEN (num_of_reads = 0 AND num_of_writes = 0) 
      THEN 0 
      ELSE (io_stall / (num_of_reads + num_of_writes)) 
      END, --avg bytes per IOP,
   BytesperRead = CASE 
      WHEN num_of_reads = 0 
      THEN 0 ELSE (num_of_bytes_read / num_of_reads) 
      END,
   BytesperWrite = CASE 
      WHEN io_stall_write_ms = 0 
      THEN 0 
      ELSE (num_of_bytes_written / num_of_writes) 
      END,
   BytesperTransfer = CASE 
      WHEN (num_of_reads = 0 AND num_of_writes = 0) 
      THEN 0 
      ELSE ((num_of_bytes_read + num_of_bytes_written) / (num_of_reads + num_of_writes)) 
      END,
   LEFT(mf.physical_name, 2) AS Drive,
   vfs.*
FROM   sys.dm_io_virtual_file_stats(NULL, NULL) AS vfs
  INNER JOIN sys.master_files AS mf
     ON  vfs.database_id = mf.database_id 
     AND vfs.file_id = mf.file_id
--WHERE vfs.file_id = 2 -- use for log files
ORDER BY vLatency DESC
-- ORDER BY vReadLatency DESC
-- ORDER BY vWriteLatency DESC;