-- DMV reports statements with lowest plan reuse
---
--- top 10 statements by IO
SELECT
  TOP 10
  (qs.total_logical_reads + qs.total_logical_writes) / qs.execution_count
    AS [Avg IO],
  SUBSTRING(
    qt.text,
    qs.statement_start_offset / 2,
    (CASE
       WHEN qs.statement_end_offset = -1 THEN LEN(CONVERT(
                                                    NVARCHAR(MAX),
                                                    qt.text)) *
                                              2
       ELSE qs.statement_end_offset
     END -
     qs.statement_start_offset) / 2) AS query_text,
  qt.dbid,
  qt.objectid
FROM sys.dm_exec_query_stats AS qs
  CROSS APPLY sys.dm_exec_sql_text(qs.sql_handle) AS qt
ORDER BY [Avg IO] DESC;