-- List of the customers by year and month
SELECT
	DATEPART(YEAR, u.LastEvalDownloadDate) DwnldYr,
	DATEPART(MONTH, u.LastEvalDownloadDate) DwnldMo,
	uk.licensetype AS LcnsType, 
	CAST(u.LastEvalDownloadDate AS DATE) DwnldDate, 
	u.FeaturesInterestedIn, 
	c.maintenancegoodthrough
FROM users u WITH(NOLOCK) 
	INNER JOIN userkeyhistory uk ON u.id = uk.userid
	INNER JOIN companies c WITH(NOLOCK) ON u.companyid = c.id
WHERE (c.name <> 'SQL Sentry' 
  AND u.EmailAddress NOT LIKE '%sqlsentry.net'
  AND u.EmailAddress NOT LIKE '%test%')
ORDER BY CAST(u.LastEvalDownloadDate AS DATE) DESC, c.name;

-- List of the customers 
SELECT DISTINCT c.Name, 
	u.lastname + ', ' + u.firstname AS UserName, 
	u.EmailAddress, uk.licensetype AS LcnsType, 
	CAST(u.LastEvalDownloadDate AS DATE) DwnldDate, 
	u.FeaturesInterestedIn, 
	c.maintenancegoodthrough
FROM users u WITH(NOLOCK) 
	INNER JOIN userkeyhistory uk ON u.id = uk.userid
	INNER JOIN companies c WITH(NOLOCK) ON u.companyid = c.id
WHERE (c.name <> 'SQL Sentry' 
  AND u.EmailAddress NOT LIKE '%sqlsentry.net'
  AND u.EmailAddress NOT LIKE '%test%')
ORDER BY CAST(u.LastEvalDownloadDate AS DATE) DESC, c.name;


SELECT f.Item AS 'Feature', COUNT(*) AS 'Nbr Selected'
FROM dbo.Users AS x
  CROSS APPLY dbo.SplitStrings_XML(x.FeaturesInterestedIn, '|') AS f
WHERE x.DateCreated >= '20131231'
  -- AND x.DateCreated < '20130901'
GROUP BY f.Item;
