/*
When was last touch for each table?
*/
;WITH TableAccess ([object_id], readDate, writeDate) AS(
	SELECT [object_id]
		,last_user_seek
		,NULL
	FROM sys.dm_db_index_usage_stats
	WHERE database_id = DB_ID()
UNION ALL
	SELECT [object_id]
		,last_user_scan
		,NULL
	FROM sys.dm_db_index_usage_stats
	WHERE database_id = DB_ID()
UNION ALL
	SELECT [object_id]
		,last_user_lookup
		,NULL
	FROM sys.dm_db_index_usage_stats
	WHERE database_id = DB_ID()
UNION ALL
	SELECT [object_id]
		,last_user_lookup
		,last_user_update
	FROM sys.dm_db_index_usage_stats
	WHERE database_id = DB_ID()	
)
SELECT s.name AS schemaName
	,t.name AS tableName
	,MAX(readDate) AS lastRead
	,MAX(writeDate) AS lastWrite
FROM sys.tables AS t 
	INNER JOIN sys.schemas AS s ON s.[schema_id] = t.[schema_id]
	LEFT JOIN TableAccess AS ta ON ta.[object_id] = t.[object_id]
GROUP BY t.name
	,s.name;