-- Top 10 tables for read and write IO
SELECT TOP 10
    OBJECT_NAME(S.[object_id]) AS [Object Name],  
    SUM([user_seeks] + [user_scans] + [user_lookups]) AS [User Reads],
    SUM([user_updates]) AS [User Writes] 
FROM sys.dm_db_index_usage_stats AS S 
   INNER JOIN sys.indexes AS I 
       ON I.[object_id] = S.[object_id] 
      AND I.[index_id] = S.[index_id] 
WHERE OBJECTPROPERTY(S.[object_id],'IsUserTable') = 1 
GROUP BY OBJECT_NAME(S.[object_id]) 
ORDER BY [User Writes] DESC;