SELECT DISTINCT 
	DB_NAME(database_id)	as 'Database_Name',
	file_id					as 'File_Id',
	page_id					as 'Page_Id',
	CASE event_type
		WHEN 1 THEN '823 or non-specific 824 error'
		WHEN 2 THEN 'Bad checksum'
		WHEN 3 THEN 'Torn page'
		WHEN 4 THEN 'Restored after marked bad'
		WHEN 5 THEN	'Repaired'
		WHEN 7 THEN	'Deallocated by DBCC'
			ELSE NULL
		END					as 'Event_Type',
	error_count				as 'Error_Count',
	last_update_date		as 'Last_Update_Date'
FROM msdb..suspect_pages;



