/*
SELECT *
FROM vwUserPopulation;
SELECT MAX(LEN(LastName))
FROM vwUserPopulation;
*/
	WITH UserNames AS (
		SELECT
			EntityKey,
			AttributeValue [UserName]
		FROM
			dbo.EntityAttributes A JOIN -- SELECT * FROM
			dbo.Attributes B ON B.AttributeKey = A.AttributeKey
		WHERE
			B.AttributeName = 'UserName'
	)
	SELECT 
		CAST(A.EntityKey AS INT) AS [PopulationKey],
		CAST(A.EntityName AS VARCHAR(100)) AS EntityName,
		CAST(MAX(CASE WHEN AttributeName = 'ClockID' THEN C.AttributeValue ELSE NULL END) AS VARCHAR(12) )
			AS [ClockID],
		CAST(MAX(CASE WHEN AttributeName = 'FirstName' THEN C.AttributeValue ELSE NULL END) AS VARCHAR(40) ) 
			AS [FirstName],
		CAST(MAX(CASE WHEN AttributeName = 'LastName' THEN C.AttributeValue ELSE NULL END) AS VARCHAR(40) ) 
			AS [LastName],
		CAST(MAX(CASE WHEN AttributeName = 'EmailAddress' THEN C.AttributeValue ELSE NULL END) AS VARCHAR(80) ) 
			AS [EmailAddress],
		CAST(MAX(CASE WHEN AttributeName = 'ActiveDirectoryDomain' THEN C.AttributeValue ELSE NULL END) AS VARCHAR(30) ) 
			AS [ActiveDirectoryDomain],
		CAST(MAX(CASE WHEN AttributeName = 'InactiveUserPopulationMember' THEN C.AttributeValue ELSE 0 END) AS CHAR(1) ) 
			AS [InactiveUserPopulationMember],
		CAST(MAX([UserName]) AS VARCHAR(30) ) 
			AS [UserName]
	INTO tUserPopulation
	FROM 
		dbo.Entities A JOIN
		dbo.EntityRoles B ON B.EntityKey = A.EntityKey JOIN
		dbo.EntityAttributes C JOIN
			dbo.Attributes D ON D.AttributeKey = C.AttributeKey
			ON C.EntityKey = A.EntityKey
		LEFT JOIN UserNames E ON E.EntityKey = A.EntityKey
	WHERE
		B.RoleKey = 7
	GROUP BY
		A.EntityKey,
		A.EntityName
GO

/*
SELECT *
FROM vwUserPopulation;

SELECT * 
FROM  tUserPopulation;
*/