/* 
   Not sure why the date order is not displaying correctly, and assume you are running xp_readerrorlog without any parameters (ie:display current sql error log)
   However, there is a parameter you can use to sort the log.  To return the entire log contents of the current log in a particular order you can set the last parameter:
*/

EXEC xp_readerrorlog 0, 1, NULL, NULL, NULL, NULL, N'DESC';

/*
   The date field is a datetime field and you could do something like below. That is as much precision you can get in SQL (not counting datetime2).
   Look for the current time period.
*/
EXEC xp_readerrorlog 0, 1, null, null, '20140623 12:30:15.550', '20140624', N'DESC';

/* 
   To find all of the DBCC checks on the SQLSentryWeb database
*/
EXEC xp_readerrorlog 0, 1, 'dbcc', 'SQLSentryWeb', NULL, NULL, N'DESC';

/*
	This procedure takes 7 parameters:
		1.        Value of error log file you want to read: 0 = current, 1 = Archive #1, 2 = Archive #2, etc... 
		2.        Log file type: 1 or NULL = error log, 2 = SQL Agent log 
		3.        Search string 1: String one you want to search for 
		4.        Search string 2: String two you want to search for to further refine the results
		5.        Search from  start time 
		6.        Search to end time
		7.        Sort order for results: N'asc' = ascending, N'desc' = descending
*/

--the 5 and 6 paramenters use VARCHAR type,desc
DECLARE @Time_Start VARCHAR(30);
DECLARE @Time_End VARCHAR(30);
SET @Time_Start=CONVERT(VARCHAR(30),GETDATE()-5,25);
SET @Time_End=CONVERT(VARCHAR(30),GETDATE(),25);
EXEC master.dbo.xp_readerrorlog 0, 1, 'Failed', 'login', @Time_Start, @Time_End, N'desc';

--the 5 and 6 paramenters use DATETIME type
DECLARE @Time_Start DATETIME;
DECLARE @Time_End DATETIME;
SET @time_start=GETDATE()-5;
SET @Time_End=GETDATE();
EXEC master.dbo.xp_readerrorlog 0, 1, 'Failed', 'login', @Time_Start, @Time_End, N'desc';

--- Isolate top waits for server instance since last restart 
-- or statistics clear
WITH    Waits
      AS ( SELECT   wait_type ,
                    wait_time_ms / 1000. AS wait_time_s ,
                    100. * wait_time_ms / SUM(wait_time_ms) OVER ( ) AS pct ,
                    ROW_NUMBER() OVER ( ORDER BY wait_time_ms DESC ) AS rn
           FROM     sys.dm_os_wait_stats
           WHERE    wait_type NOT IN ( 'CLR_SEMAPHORE', 'LAZYWRITER_SLEEP',
                                       'RESOURCE_QUEUE', 'SLEEP_TASK',
                                       'SLEEP_SYSTEMTASK',
                                       'SQLTRACE_BUFFER_FLUSH', 'WAITFOR',
                                       'LOGMGR_QUEUE', 'CHECKPOINT_QUEUE',
                                       'REQUEST_FOR_DEADLOCK_SEARCH',
                                       'XE_TIMER_EVENT', 'BROKER_TO_FLUSH',
                                       'BROKER_TASK_STOP',
                                       'CLR_MANUAL_EVENT',
                                       'CLR_AUTO_EVENT',
                                       'DISPATCHER_QUEUE_SEMAPHORE',
                                       'FT_IFTS_SCHEDULER_IDLE_WAIT',
                                       'XE_DISPATCHER_WAIT',
                                       'XE_DISPATCHER_JOIN' )
         )
    SELECT  W1.wait_type ,
            CAST(W1.wait_time_s AS DECIMAL(12, 2)) AS wait_time_s ,
            CAST(W1.pct AS DECIMAL(12, 2)) AS pct ,
            CAST(SUM(W2.pct) AS DECIMAL(12, 2)) AS running_pct
    FROM    Waits AS W1
            INNER JOIN Waits AS W2 ON W2.rn <= W1.rn
    GROUP BY W1.rn ,
            W1.wait_type ,
            W1.wait_time_s ,
            W1.pct
    HAVING  SUM(W2.pct) - W1.pct < 95 ; -- percentage threshold


